System.ServiceModel 4.0.0.0 System.Object

Use the to create tools or to modify the default contract generation process using an .

The type generates service contract code and binding configurations from description objects.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a new instance.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified instance.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with the specified instance.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with the specified instance and the specified instance.

- Property
  4.0.0.0
  System.Configuration.Configuration To be added. To be added.

  Gets the instance that contains the generated binding configurations.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.MetadataConversionError> To be added.

  These error and warning messages can be used by tools to display debugging information to users.

  Gets a collection of objects generated when generating service contract code and endpoint configurations.

- Method
  4.0.0.0
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.CodeDom.CodeTypeReference ``

  Other code artifacts may also get generated as specified by using the property.

  Generates a service contract type from the specified instance.

  A instance for the generated contract type.

  The to use to generate the contract type.
- Method
  4.0.0.0
  System.CodeDom.CodeTypeReference `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.String,System.String> To be added.

  Use this property to associated a contract description namespace with a managed namespace that is used when generating code.

  You can use the wildcard character "*" as the dictionary key to specify a managed namespace to use for any description namespaces that are not explicitly mapped to a managed namespace.

  The default managed namespace is used when no namespace mapping is specified for a particular description namespace.

  Gets a mapping from contract description namespaces to managed namespaces that is used when generating code.

- Property
  4.0.0.0
  System.ServiceModel.Description.ServiceContractGenerationOptions To be added.

  Use this property to specify various options for code generation. This enumeration has a attribute that allows a bitwise combination of its member values.

  Gets or sets options for generating service contract code.

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.ServiceModel.Description.ContractDescription,System.Type> To be added.

  Code is not generated for referenced contract types. Instead the referenced type is used.

  Gets a mapping from contract descriptions to referenced contract types.

- Property
  4.0.0.0
  System.CodeDom.CodeCompileUnit To be added. To be added.

  Gets the target object for generating service contract code.